Bug 741995 - Review Request: telepathy-rakia - SIP connection manager for Telepathy
Summary: Review Request: telepathy-rakia - SIP connection manager for Telepathy
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-28 18:26 UTC by Brian Pepple
Modified: 2011-10-24 03:31 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-10-24 03:31:21 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Brian Pepple 2011-09-28 18:26:39 UTC
Spec URL: http://bpepple.fedorapeople.org/rpms/telepathy-rakia.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/telepathy-rakia-0.7.2-1.fc15.src.rpm
Description: telepathy-rakia is a SIP connection manager for the Telepathy
framework based on the SofiaSIP-stack. 

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=3386056

Note: This is a package rename (from telepathy-sofiasip), not an entirely new package. Also, this can't be built in F16, until the latest sofia-sip is pushed into stable. Until then you can pull the rpm from here:
https://admin.fedoraproject.org/updates/sofia-sip-1.12.11-1.fc16

Comment 1 Michael S. 2011-10-16 17:59:14 UTC
It doesn't build in mock with f15 either  :

$ mock --rebuild  telepathy-rakia-0.7.2-1.fc15.src.rpm
INFO: mock.py version 1.1.12 starting...
State Changed: init plugins
INFO: selinux disabled
State Changed: start
INFO: Start(telepathy-rakia-0.7.2-1.fc15.src.rpm)  Config(fedora-15-x86_64)
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/fedora-15-x86_64) unlocked and deleted
State Changed: unlock buildroot
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.12
INFO: Mock Version: 1.1.12
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: unlock buildroot
State Changed: setup
ERROR: Exception(telepathy-rakia-0.7.2-1.fc15.src.rpm) Config(fedora-15-x86_64) 0 minutes 19 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-15-x86_64/result
ERROR: Command failed: 
 # ['/usr/bin/yum-builddep', '--installroot', '/var/lib/mock/fedora-15-x86_64/root/', '/var/lib/mock/fedora-15-x86_64/root///builddir/build/SRPMS/telepathy-rakia-0.7.2-1.fc15.src.rpm']
Getting requirements for telepathy-rakia-0.7.2-1.fc15.src
 --> 1:dbus-devel-1.4.6-5.fc15.x86_64
 --> dbus-glib-devel-0.92-2.fc15.x86_64
 --> telepathy-glib-devel-0.14.10-1.fc15.x86_64
Error: Aucun paquet trouvé pour sofia-sip-glib-devel >= 1.12.11

Comment 2 Brian Pepple 2011-10-16 18:01:01 UTC
This package rename is only for the F16 & Rawhide branches. It will not be applied to the F15 branch.

Comment 3 nucleo 2011-10-17 00:08:51 UTC
I think that should be "Obsoletes: telepathy-sofiasip <= 0.7.1-2" because with '<' telepathy-sofiasip-0.7.1-2 wouldn't be obsoleted.

Comment 4 Brian Pepple 2011-10-17 14:19:04 UTC
Spec URL: http://bpepple.fedorapeople.org/rpms/telepathy-rakia.spec
SRPM URL:
http://bpepple.fedorapeople.org/rpms/telepathy-rakia-0.7.2-2.fc15.src.rpm

* Mon Oct 17 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.7.2-2
- Bump obsolete version.

Comment 5 Richard Shaw 2011-10-22 18:01:35 UTC
Since this is only for F16+:

- You can remove "rm -rf $RPM_BUILD_ROOT" in %install
- You can remove %defattr from %files

Comment 6 Rex Dieter 2011-10-22 19:34:23 UTC
I can review today.

Comment 7 Rex Dieter 2011-10-22 20:19:14 UTC
$ rpmlint *src.rpm x86_64/*.rpm
telepathy-rakia.src:19: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 19)
3 packages and 0 specfiles checked; 0 errors, 1 warnings.


naming: ok

license: ok

macros: ok

sources: ok
md5sum *.gz
ec80e3a28be586e64e3106d9c2785f77  telepathy-rakia-0.7.2.tar.gz

renaming ok, but...
SHOULD: I'd recommend bumping the Obsoletes to
Obsoletes:      telepathy-sofiasip < 0.7.2
in case there's ever a telepathy-sofiasip f15 update going higher than the current 0.7.1-3 build


Looks good, APPROVED.

Comment 8 Brian Pepple 2011-10-22 20:29:40 UTC
New Package SCM Request
=======================
Package Name: telepathy-rakia
Short Description: SIP connection manager for Telepathy
Owners: bpepple
Branches: f16
InitialCC:

Comment 9 nucleo 2011-10-22 22:04:36 UTC
Voice over IP (VoIP/SIP) becomes not available in telepathy-accounts-kcm when telepathy-sofiasip replaced with telepathy-rakia.

Comment 10 nucleo 2011-10-22 22:38:25 UTC
(In reply to comment #9)
> Voice over IP (VoIP/SIP) becomes not available in telepathy-accounts-kcm when
> telepathy-sofiasip replaced with telepathy-rakia.

Filed bug https://bugs.kde.org/show_bug.cgi?id=284749

Comment 11 Gwyn Ciesla 2011-10-23 23:32:03 UTC
Git done (by process-git-requests).

Comment 12 Brian Pepple 2011-10-24 03:31:21 UTC
Package built for Rawhide & F16. Telepathy-sofiasip has been retired for those branches. 

Thanks for the review, Rex!


Note You need to log in before you can comment on or make changes to this bug.